Skip to content

Get wallet KYC status

GET
/v2/onboarding/wallet

Retrieve the most recent KYC verification status for a wallet address on a specific blockchain network.

walletAddress
required
string

Wallet address to query

Example
0x41abab3a4befc66569c5ccd9f4a687e141fa85b3
chainId
required
number

Chain ID

Example
84532

The wallet KYC status including verification details and VASP information if verified.

object
verificationId
required

Unique verification ID

string
82c4fce1-d2c7-48cb-a647-6993dbe37819
verified
required

Whether the wallet has verified KYC

boolean
true
status
required

Verification status

string
Allowed values: verified not_verified pending invalid_signature invalid_message unsupported_chain trust_error
verified
walletAddress
required

Wallet address that was verified

string
0x41abab3a4befc66569c5ccd9f4a687e141fa85b3
chainId
required

Chain ID

number
84532
chain

Chain name

string
BASE_SEPOLIA
vaspId

VASP identifier (LEI) if wallet KYC is verified

string
5493001KJTIIGC8Y1R12
vaspName

VASP name if wallet KYC is verified

string
Example VASP Inc
vaspEndpoint

VASP PII endpoint if wallet KYC is verified

string
https://vasp.example.com/pii
errorMessage

Error message if verification failed

string
verifiedAt

Timestamp when verification was completed

string
2025-11-27T04:18:07.173Z
createdAt
required

Timestamp when record was created

string
2025-11-27T04:18:07.173Z
kycRequestId

KYC request ID if Sumsub verification was initiated

string
550e8400-e29b-41d4-a716-446655440000
sessionUrl

Sumsub SDK session URL for identity verification

string
https://api.sumsub.com/websdk/init?token=...
message

Message from the verification service

string
KYC verification initiated. Please complete the verification process.

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error